#include "FileIO.ch"

/*
 * Enviar texto directamente a una impresora de ticket's en el puerto COM1.
 */
Function Main()

   Local nHandle, aParams

   /* Abrimos el puerto. */
   nHandle := FOpen( "Com1:" )

   If nHandle != F_ERROR
      /* Establecemos los parmetros del puerto y salvamos los actuales. */
      aParams := FDcb( nHandle, 115200, ; // Velocidad.
                                8, ;      // Bits.
                                0, ;      // Sin paridad.
                                0 )       // 1 bit de parada.

      /* Escribimos el texto. */
      FWrite( nHandle, "Texto de prueba" + Chr( 13 ) + Chr( 10 ) )

      /* Vaciamos el buffer. */
      FCommit( nHandle )

      /* Restauramos los parmetros. */
      FDcb( nHandle, aParams[ 1 ], aParams[ 2 ], aParams[ 3 ], aParams[ 4 ] )

      /* Cerramos el puerto. */
      FClose( nHandle )
   EndIf

Return Nil